Skip to main content
GET
/
jobs
List Jobs
curl --request GET \
  --url https://api.xplenty.com/{account_id}/api/jobs \
  --header 'Accept: <accept>' \
  --header 'Authorization: Basic <encoded-value>'
[
  {
    "id": 157,
    "status": "completed",
    "owner_id": 123,
    "progress": 1,
    "outputs_count": 2,
    "outputs": [
      {
        "id": 123,
        "name": "projected_results",
        "records_count": 10415234,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "url": "<string>",
        "component": {
          "name": "<string>",
          "type": "<string>",
          "fields": [
            "<string>"
          ]
        }
      }
    ],
    "variables": {},
    "dynamic_variables": {},
    "started_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "failed_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "cluster_id": 52,
    "package_id": 434,
    "errors": "<string>",
    "runtime_in_seconds": 123,
    "url": "<string>",
    "html_url": "<string>",
    "log_url": "<string>",
    "creator": {
      "type": "<string>",
      "display_name": "<string>",
      "id": 123,
      "url": "<string>"
    },
    "package": {
      "id": 123,
      "name": "<string>",
      "url": "<string>"
    },
    "cluster": {
      "id": 123,
      "name": "<string>",
      "url": "<string>"
    }
  }
]

Authorizations

Authorization
string
header
required

Enter your API key as the username. Leave the password field blank. Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...

Headers

Accept
string
default:application/vnd.xplenty+json; version=2
required

API version header — required on all requests

Query Parameters

offset
integer
default:0

Index of the first object to retrieve (starting from 0)

Required range: x >= 0
limit
integer
default:20

Number of items to return (max 100)

Required range: 1 <= x <= 100
status
enum<string>

Filter by job status

Available options:
idle,
pending,
queued,
running,
completed,
failed,
pending_stoppage,
stopping,
stopped
sort
enum<string>

Sort field

Available options:
id,
status,
created_at,
updated_at
direction
enum<string>
default:desc

Sort direction

Available options:
asc,
desc
since
string<date-time>

Only return jobs updated at the given time or later (ISO 8601)

Response

Successful response

id
integer
Example:

157

status
enum<string>
Available options:
idle,
pending,
queued,
running,
completed,
failed,
pending_stoppage,
stopping,
stopped
Example:

"completed"

owner_id
integer
progress
number<double>
Required range: 0 <= x <= 1
Example:

1

outputs_count
integer
Example:

2

outputs
object[]
variables
object
dynamic_variables
object
started_at
string<date-time> | null
created_at
string<date-time>
failed_at
string<date-time> | null
updated_at
string<date-time>
cluster_id
integer
Example:

52

package_id
integer
Example:

434

errors
string
runtime_in_seconds
integer
url
string<uri>
html_url
string<uri>
log_url
string<uri> | null
creator
object
package
object
cluster
object
Last modified on April 15, 2026